=== debian/changelog ===
ros-crystal-rviz-common (5.1.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 06 Dec 2019 08:00:00 -0000

ros-crystal-rviz-common (5.1.0-1bionic) bionic; urgency=high

  * Fix errors from uncrustify v0.68 (#366 <https://github.com/ros2/rviz/issues/366>)
  * Contributors: Jacob Perron, William Woodall

 -- William Woodall <william@osrfoundation.org>  Mon, 14 Jan 2019 08:00:00 -0000

ros-crystal-rviz-common (5.0.0-1bionic) bionic; urgency=high

  * Moved rviz_yaml_cpp_vendor into it's own repo (#361 <https://github.com/ros2/rviz/issues/361>)
  * Exported libraries to trigger hooks. (#358 <https://github.com/ros2/rviz/issues/358>)
  * Added virtual destructors for WindowManagerInterface and ViewportProjectionFinder (#356 <https://github.com/ros2/rviz/issues/356>)
  * Changed to use spin_some with max_duration (#354 <https://github.com/ros2/rviz/issues/354>)
    * spin_once() limits the number of callbacks that can be called based on how quickly the gui updates.
    * This results in lag when displaying tf frames.
    * Use spin_some(max_duration) to execute all of the work available.
  * Made the transformation framework used by rviz pluggable. (#346 <https://github.com/ros2/rviz/issues/346>)
  * Fixed wrong name of InitialPose plugin in default config (#352 <https://github.com/ros2/rviz/issues/352>)
  * Added hotkeys (also to help) (#312 <https://github.com/ros2/rviz/issues/312>)
  * Migrated pose estimate tool (#329 <https://github.com/ros2/rviz/issues/329>)
  * Changed to now pass clock to tf2_ros::buffer (#340 <https://github.com/ros2/rviz/issues/340>)
  * Changted to always build all tests and skip execution if not supported (#342 <https://github.com/ros2/rviz/issues/342>)
  * Reverted workaround for identity transform after geometry2 fix (#343 <https://github.com/ros2/rviz/issues/343>)
  * Reverted "Add simple mechanism to automatically convert old configs" (#337 <https://github.com/ros2/rviz/issues/337>)
    * No longer necessary for C-Turtle
  * Minor cleanup and fixes (#336 <https://github.com/ros2/rviz/issues/336>)
    * Fix environment for colcon builds (no appends necessary)
    * Fix warning in visual_test_fixture.cpp and add -Werror option in CMakeLists.txt
    * Fix Qt moc warning for virtual signal
  * Fixed missing status in laser scan display (#335 <https://github.com/ros2/rviz/issues/335>)
    * Show status error when transform failed
    * Modify logging behaviour
  * Updates due to uncrustify 0.67 (#333 <https://github.com/ros2/rviz/issues/333>)
    * fix closing block and tamplete indentation to comply with uncrustify 0.67
    * add space between reference and variable name
    * space before opening bracket
    * fix indend of inherited class
    * fix indent of code blocks
    * no space around -> operator
    * restore original spacing
  * Contributors: Andreas Greimel, Kartik Mohta, Martin Idel, Michael Carroll, Mikael Arguedas, Shane Loretz, Steven! Ragnarök

 -- William Woodall <william@osrfoundation.org>  Tue, 04 Dec 2018 08:00:00 -0000

ros-crystal-rviz-common (4.0.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-crystal-rviz-common (4.0.0-1bionic) bionic; urgency=high

  * Polished selection behavior. (#315 <https://github.com/ros2/rviz/issues/315>)
  * Fixed invalid color profile in PNGs. (#306 <https://github.com/ros2/rviz/issues/306>)
  * Updated use of tf2 so that it reused the rviz node. (#290 <https://github.com/ros2/rviz/issues/290>)
  * Made the display status not editable. (#316 <https://github.com/ros2/rviz/issues/316>)
  * Fixed some bugs causing RViz to crash on macOS. (#319 <https://github.com/ros2/rviz/issues/319>)
  * Fixed a segfault that could occur on empty frames. (#313 <https://github.com/ros2/rviz/issues/313>)
  * Moved the selection icon to ``rviz_common``. (#314 <https://github.com/ros2/rviz/issues/314>)
  * Polished more tests and migrate or delete old tests. (#289 <https://github.com/ros2/rviz/issues/289>)
  * Migrated the map display. (#267 <https://github.com/ros2/rviz/issues/267>)
  * Migrated Marker Array Display. (#296 <https://github.com/ros2/rviz/issues/296>)
  * Migrated 2D Nav Goal tool. (#294 <https://github.com/ros2/rviz/issues/294>)
  * Fixed a memory leak in shutdown of ros client abstraction. (#301 <https://github.com/ros2/rviz/issues/301>)
  * Implemented a workaround for the missing identity transform when transforming from a frame to itself. (#298 <https://github.com/ros2/rviz/issues/298>)
  * Fixed the splash screen and help panel. (#277 <https://github.com/ros2/rviz/issues/277>)
  * Migrated the Odometry display. (#275 <https://github.com/ros2/rviz/issues/275>)
  * Homogenized behavior of rviz when a tf transform fails. (#292 <https://github.com/ros2/rviz/issues/292>)
  * Changed rviz so that only a single ros node is used. (#197 <https://github.com/ros2/rviz/issues/197>)
  * Migrated the XYOrbit View Controller. (#282 <https://github.com/ros2/rviz/issues/282>)
  * Fixed select and measure tool behavior on macOS Retina displays. (#283 <https://github.com/ros2/rviz/issues/283>)
  * Fixed a segfault in the selection manager tests. (#284 <https://github.com/ros2/rviz/issues/284>)
  * Fixed rviz application so it shows an icon on macOS's toolbar when running. (#272 <https://github.com/ros2/rviz/issues/272>)
  * Moved the ``rviz_common::Panel`` into a public header. (#265 <https://github.com/ros2/rviz/issues/265>)
  * Migrated the orthographic view controller. (#270 <https://github.com/ros2/rviz/issues/270>)
  * Restored most of the command line options for rviz. (#255 <https://github.com/ros2/rviz/issues/255>)
  * Migrated tool properties panel. (#251 <https://github.com/ros2/rviz/issues/251>)
  * Finished point cloud refactoring and testing. (#250 <https://github.com/ros2/rviz/issues/250>)
  * Migrated the select tool. (#256 <https://github.com/ros2/rviz/issues/256>)

